/**
  ******************************************************************************
  * @file    vk16k33_driver.h
  * @author  kevin_guo
  * @version V1.0.0
  * @date    06-05-2017
  * @brief   Header files for IO vk16k33_driver. 
  ******************************************************************************
  * @copy
  */ 
  
#ifndef __VK16K33_DRIVER_H__
#define __VK16K33_DRIVER_H__

#include "M451Series.h"

/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported define -----------------------------------------------------------*/
#define 	VK16K33_SCL_PIN   BIT0
#define 	VK16K33_SCL_PORT  PA
#define 	VK16K33_SCL_IO    PA0

#define 	VK16K33_SDA_PIN   BIT1
#define 	VK16K33_SDA_PORT  PD
#define 	VK16K33_SDA_IO    PD1

#define   VK16K33_SCL_HIGH     VK16K33_SCL_IO = 1  
#define   VK16K33_SCL_LOW      VK16K33_SCL_IO = 0  
  
#define   VK16K33_SDA_HIGH     VK16K33_SDA_IO = 1  
#define   VK16K33_SDA_LOW      VK16K33_SDA_IO = 0   
 
#define   VK16K33_DEVADDR		0XE0 
#define   VK16K33_STARTADDR	0X00 
#define   VK16K33_KEYSTARTADDR   0X40

#define 	VK16K33_DISP_ON        0X81  //ʾ
#define 	VK16K33_DISP_OFF		   0x80  //ʾ 

/*0xe0,0xe1,0xe2,0xe3,0xe4,0xe5,0xe6,0xe7,0xe8,0xe9, 0xea, 0xeb, 0xec, 0xed, 0xee, 0xef ֱӦ
  1/16,2/16,3/16,4/16,5/16,6/16,7/16,8/16,9/16,10/16,11/16,12/16,13/16,14/16,15/16,16/16 */ 
#define 	VK16K33_PDUTY_1_16      0xe0  //ʾΪ1/16  
#define 	VK16K33_PDUTY_2_16      0xe1  //ʾΪ2/16  
#define 	VK16K33_PDUTY_3_16      0xe2  //ʾΪ3/16  
#define 	VK16K33_PDUTY_4_16      0xe3  //ʾΪ4/16  
#define 	VK16K33_PDUTY_5_16      0xe4  //ʾΪ5/16  
#define 	VK16K33_PDUTY_6_16      0xe5  //ʾΪ6/16  
#define 	VK16K33_PDUTY_7_16      0xe6  //ʾΪ7/16  
#define 	VK16K33_PDUTY_8_16      0xe7  //ʾΪ8/16  
#define 	VK16K33_PDUTY_9_16      0xe8  //ʾΪ9/16  
#define 	VK16K33_PDUTY_10_16     0xe9  //ʾΪ10/16  
#define 	VK16K33_PDUTY_11_16     0xea  //ʾΪ11/16  
#define 	VK16K33_PDUTY_12_16     0xeb  //ʾΪ12/16  
#define 	VK16K33_PDUTY_13_16     0xec  //ʾΪ13/16  
#define 	VK16K33_PDUTY_14_16     0xed  //ʾΪ14/16  
#define 	VK16K33_PDUTY_15_16     0xee  //ʾΪ15/16  
#define 	VK16K33_PDUTY_16_16     0xef  //ʾΪ16/16 
 
//#define  VK16K33_SOP28		6 
//#define  VK16K33_SOP24		7 
//#define  VK16K33_SOP20		8  
 
/* Exported functions ------------------------------------------------------- */
void VK16k33_Init(void); 
void VK16k33_Main(void);
#endif  /*__VK16K33_DRIVER_H__*/

/************************END OF FILE****/
